Groovy 1.7.0

## org.codehaus.groovy.util
Class ManagedDoubleKeyMap.Entry

    java.lang.Object
      org.codehaus.groovy.util.ManagedDoubleKeyMap.Entry

    class ManagedDoubleKeyMap.Entry

Field Summary
`Ref` | `ref1`
`Ref` | `ref2`
`Segment` | `segment`

Constructor Summary
`ManagedDoubleKeyMap.Entry(ReferenceBundle bundle, K1 key1, K2 key2, int hash, Segment segment)`

Method Summary
`void` | `clean()`
`int` | `getHash()`
`V` | `getValue()`
`boolean` | `isEqual(K1 key1, K2 key2, int hash)`
`boolean` | `isValid()`
`void` | `setValue(V value)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### ref1

    final Ref ref1

### ref2

    final Ref ref2

### segment

    final Segment segment

Constructor Detail

### ManagedDoubleKeyMap.Entry

    public ManagedDoubleKeyMap.Entry(ReferenceBundle bundle, K1 key1, K2 key2, int hash, Segment segment)

Method Detail

### clean

    public void clean()

### getHash

    public int getHash()

### getValue

    public V getValue()

### isEqual

    public boolean isEqual(K1 key1, K2 key2, int hash)

### isValid

    public boolean isValid()

### setValue

    public void setValue(V value)

Copyright © 2003-2009 The Codehaus. All rights reserved.